Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
tpm.cpp File Reference
`#include <botan/tpm.h>`
`#include <botan/rsa.h>`
`#include <botan/hash.h>`
`#include <botan/hash_id.h>`
`#include <botan/der_enc.h>`
`#include <botan/workfactor.h>`
`#include <botan/pk_ops.h>`
`#include <sstream>`
`#include <tss/platform.h>`
`#include <tss/tspi.h>`
`#include <trousers/trousers.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Macros
#define | TSPI_CHECK_SUCCESS(expr)

## Macro Definition Documentation

#define TSPI_CHECK_SUCCESS | ( |  | expr | ) |

Value:
do { \
TSS_RESULT res = expr; \
if(res != TSS_SUCCESS) \
tss_error(res, #expr, __FILE__, __LINE__); \
} while(0)

Definition at line 68 of file tpm.cpp.

Referenced by Botan::TPM_Context::current_counter(), Botan::TPM_Context::gen_random(), Botan::TPM_PrivateKey::register_key(), Botan::TPM_PrivateKey::registered_keys(), Botan::TPM_Context::stir_random(), Botan::TPM_Context::TPM_Context(), Botan::TPM_PrivateKey::TPM_PrivateKey(), and Botan::TPM_Context::~TPM_Context().

## Variable Documentation

std::unique_ptr<HashFunction> m_hash

Definition at line 439 of file tpm.cpp.

Referenced by Botan::KDF1::clone(), Botan::KDF2::clone(), Botan::KDF1_18033::clone(), Botan::EMSA_X931::clone(), Botan::EMSA_PKCS1v15::clone(), Botan::PSSR::clone(), Botan::PKCS5_PBKDF1::clone(), Botan::ISO_9796_DS2::clone(), Botan::ISO_9796_DS3::clone(), Botan::EMSA1::hash_output_length(), Botan::Lion::key_spec(), Botan::KDF1::name(), Botan::KDF2::name(), Botan::KDF1_18033::name(), Botan::PKCS5_PBKDF1::name(), Botan::Hash_Filter::name(), Botan::XMSS_WOTS_PrivateKey::operator[](), Botan::HMAC::output_length(), and Botan::Hash_Filter::write().

std::vector<uint8_t> m_hash_id

Definition at line 440 of file tpm.cpp.

const TPM_PrivateKey& m_key

Definition at line 438 of file tpm.cpp.

Referenced by Botan::TPM_PrivateKey::handle(), Botan::XMSS_WOTS_PublicKey::key_data(), Botan::XMSS_WOTS_PublicKey::operator const wots_keysig_t &(), Botan::XMSS_WOTS_PublicKey::operator wots_keysig_t &(), Botan::XMSS_WOTS_PublicKey::operator==(), Botan::XMSS_WOTS_PublicKey::operator[](), and Botan::XMSS_WOTS_PublicKey::set_key_data().